PDA

View Full Version : Quake IV and SB X-Fi.


[BANDIT]
10-20-05, 04:11 AM
http://img455.imageshack.us/img455/3001/qqqqq3en.jpg (http://imageshack.us)

Small picture tells all. :thumbdwn: :mad:

jolle
10-20-05, 06:15 AM
works fine here, X-Fi XtremeMusic..
Did you install that patch/update from creative?
I installed the drivers off the CD, then the update.
The 21mb update on the top if this page:
http://us.creative.com/support/downloads/download.asp

EDIT
screenie
http://files.upl.silentwhisper.net/upload5/q4_xfi.jpg

PaiN
10-20-05, 07:04 AM
That patch is needed [BANDIT]....I had the same problem lastnight, for some reason the X-Fi's drivers aren't updated with it through the "auto update" feature..
once the patch is in you'll be able to set -OpenAL

[BANDIT]
10-20-05, 07:48 AM
Ok, update installed. And my driver version is 5.12.2.1143 from 2005-08-08. I still can't choose EAX 4.

PaiN
10-20-05, 07:54 AM
EAX 4??
The highest sound settings in the game are what's in jolle's screen shot. That is how you want to run the game with an X-Fi.

[BANDIT]
10-20-05, 08:04 AM
I thought that it is like in Doom III with update. :) But i still can't choose openal.

PaiN
10-20-05, 08:09 AM
That's strange....
I know its simple stuff...but remove the entire driver set, reinstall off the disk, apply the patch and give it another go.

emailthatguy
10-20-05, 08:51 AM
you sure youre in game mode?

[BANDIT]
10-20-05, 10:07 AM
PaiN thx, I reinstalled all and now i have openal. :)

jolle
10-20-05, 10:14 AM
EAX 4??
The highest sound settings in the game are what's in jolle's screen shot. That is how you want to run the game with an X-Fi.
Acctually seems like:
EAX 1.0 = EAX
EAX 2.0 = EAX 2
EAX 3.0 (EAX ADVANCED HD)
EAX 4.0 (EAX 4.0 ADVANCED HD)
EAX 5.0 (EAX 5.0 ADVANCED HD)

X-FI brought EAX5 to the table, but no games using it yet, not even BF2.
http://www.soundblaster.com/resources/read.asp?articleid=53833&cat=1&page=2
bit messy with the naming IMO..
but by the looks of it, Q4 runs EAX3 at best, via OpenAL.. so its um.. prolly not "really" EAX, if its true that EAX is a API on its own..
I guess its similar to using DX9 hardware capabilities in OpenGL perhaps..

dunno.. either way, it sounds nice.

OWA
10-20-05, 11:26 AM
That patch is needed [BANDIT]....I had the same problem lastnight, for some reason the X-Fi's drivers aren't updated with it through the "auto update" feature..
once the patch is in you'll be able to set -OpenAL
Do you mean the Doom 3 patch supplied by Creative that added OpenAL support? It should have been included on your CD for the X-Fi. I just skipped installing it since I had already installed it a while back when I still had the Audigy 2 ZS in my system. It was one of the installation steps for both of my X-Fi's.

Superfly
10-20-05, 12:12 PM
This should help - : http://www.nvnews.net/vbulletin/showthread.php?p=724586#post724586

Updated October 19, 2005 -- Version 1.8.0Version note -- Installs OpenAL32.dll version 6.14.357.11 and wrap_oal.dll version 2.0.0.0.

Changes and Bugfixes --

The wrapper has been updated to support OpenAL 1.1 functionality.

The router has been updated to fix a bug where instability or a crash could result from installing a native Creative OpenAL library and then removing the device without removing the driver.

Amuro
10-20-05, 10:17 PM
Do you mean the Doom 3 patch supplied by Creative that added OpenAL support? It should have been included on your CD for the X-Fi. I just skipped installing it since I had already installed it a while back when I still had the Audigy 2 ZS in my system. It was one of the installation steps for both of my X-Fi's.
Actually, that patch on the X-FI CD is the Doom 3 1.3 patch. Only need it if you have Doom 3 installed.

PaiN
10-20-05, 10:32 PM
Do you mean the Doom 3 patch supplied by Creative that added OpenAL support?

No!! Why would discuss or recommend a Doom3 Patch to fix Quake4.....???
There is a patch\update for the X-Fi drivers in the
"downloads" section on soundblaster.com....its apperently activates openAL for the X-Fi cards.

jolle...thanks but I wasn't questioning what EAX4 was, I was wondering why [BANDIT] was asking when its not an available option in the game ;)

OWA
10-20-05, 11:38 PM
The reason I mentioned it is because I thought the Doom 3 patch and the OpenAL patch were one in the same. Kind of like when the Starship Troopers demo is installed, it also installs an EAX4 unified driver (I think is what they called it). I thought the Doom 3 patch did the same kind of thing. I haven't installed anything for my X-Fi's but I have OpenAL support in Doom 3, Quake 4 and other games. I guess I must have installed the Doom 3 patch and the OpenAL beta back when I had the Audigy 2 ZS in the system (although the only thing I recall installing is the Doom 3 patch).